Description

Otherwise, ~foreman-proxy/.ansible.cfg settings are ignored when running Ansible jobs.

Associated revisions

Revision 4acf2d6a - 06/16/2018 12:45 PM - Daniel Lobato Garcia 

Fixes #23905 - Use /usr/share/foreman-proxy as ansible_dir

Using /etc/ansible means that the ~foreman-proxy/.ansible.cfg file we

had set up will be ignored. This means the callback is ignored and any

other options we might set in /etc/foreman-proxy/ansible.cfg

History

#1 - 06/12/2018 01:35 PM - Daniel Lobato Garcia

- Project changed from Foreman to Installer

#2 - 06/12/2018 01:37 PM - Daniel Lobato Garcia

- Category set to Foreman modules

#3 - 06/12/2018 01:38 PM - Daniel Lobato Garcia

- Bugzilla link set to 1590362

#4 - 06/12/2018 01:44 PM - Ewoud Kohl van Wijngaarden

IMHO it should be configurable. Ideally we can change it to /etc/foreman-proxy/ansible in production for configs and /var/lib/foreman-proxy/ansible for

state. Currently we do this via symlinks in RPMs but that's a bit ugly IMHO.

#5 - 06/12/2018 01:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/432 added

#6 - 06/12/2018 02:06 PM - Daniel Lobato Garcia

It's configurable already, both in the installer or manually changing /etc/foreman-proxy/settings.d/ansible.yml. The issue is really just about the default

value

#7 - 06/12/2018 05:44 PM - Marek Hulán

I think the suggested change is valid and already an improvement to current state. Even though config should not live in /usr, that's how we configure

foreman-proxy user home and that is where ansible searches for its config. Opening a refactoring issue for later split would be good, but we'd need to

handle upgrade path too. Sounds big for something we'll require for 1.18

#8 - 06/16/2018 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|4acf2d6a073e43c1501bf78f986fee6dea917c68.

#9 - 07/12/2018 02:06 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.18.0

- Triaged set to No

- Fixed in Releases 1.18.0 added
